org.apache.poi.xddf.usermodel

## Class XDDFLineProperties

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFLineProperties

-     @Beta
      public class XDDFLineProperties
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDDFLineProperties()`
    `XDDFLineProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTLineProperties properties)`
    `XDDFLineProperties(XDDFFillProperties fill)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFDashStop` | `addDashStop()`
    `int` | `countDashStops()`
    `CompoundLine` | `getCompoundLine()`
    `XDDFDashStop` | `getDashStop(int index)`
    `java.util.List<XDDFDashStop>` | `getDashStops()`
    `XDDFExtensionList` | `getExtensionList()`
    `XDDFFillProperties` | `getFillProperties()`
    `XDDFLineEndProperties` | `getHeadEnd()`
    `LineCap` | `getLineCap()`
    `XDDFLineJoinProperties` | `getLineJoinProperties()`
    `PenAlignment` | `getPenAlignment()`
    `XDDFPresetLineDash` | `getPresetDash()`
    `XDDFLineEndProperties` | `getTailEnd()`
    `java.lang.Double` | `getWidth()`
    `org.openxmlformats.schemas.drawingml.x2006.main.CTLineProperties` | `getXmlObject()`
    `XDDFDashStop` | `insertDashStop(int index)`
    `void` | `removeDashStop(int index)`
    `void` | `setCompoundLine(CompoundLine compound)`
    `void` | `setExtensionList(XDDFExtensionList list)`
    `void` | `setFillProperties(XDDFFillProperties properties)`
    `void` | `setHeadEnd(XDDFLineEndProperties properties)`
    `void` | `setLineCap(LineCap cap)`
    `void` | `setLineJoinProperties(XDDFLineJoinProperties properties)`
    `void` | `setPenAlignment(PenAlignment alignment)`
    `void` | `setPresetDash(XDDFPresetLineDash properties)`
    `void` | `setTailEnd(XDDFLineEndProperties properties)`
    `void` | `setWidth(java.lang.Double width)` Internally converts the width to EMU units.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFLineProperties

          public XDDFLineProperties()

    - #### XDDFLineProperties

          public XDDFLineProperties(XDDFFillProperties fill)

      Parameters:
        `fill` - fill properties to set on the new line properties.
      Since:
        POI 4.0.2

    - #### XDDFLineProperties

          @Internal
          public XDDFLineProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTLineProperties properties)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.main.CTLineProperties getXmlObject()

    - #### getPenAlignment

          public PenAlignment getPenAlignment()

    - #### setPenAlignment

          public void setPenAlignment(PenAlignment alignment)

    - #### getLineCap

          public LineCap getLineCap()

    - #### setLineCap

          public void setLineCap(LineCap cap)

    - #### getCompoundLine

          public CompoundLine getCompoundLine()

    - #### setCompoundLine

          public void setCompoundLine(CompoundLine compound)

    - #### addDashStop

          public XDDFDashStop addDashStop()

    - #### insertDashStop

          public XDDFDashStop insertDashStop(int index)

    - #### removeDashStop

          public void removeDashStop(int index)

    - #### getDashStop

          public XDDFDashStop getDashStop(int index)

    - #### getDashStops

          public java.util.List<XDDFDashStop> getDashStops()

    - #### countDashStops

          public int countDashStops()

    - #### getPresetDash

          public XDDFPresetLineDash getPresetDash()

    - #### setPresetDash

          public void setPresetDash(XDDFPresetLineDash properties)

    - #### getExtensionList

          public XDDFExtensionList getExtensionList()

    - #### setExtensionList

          public void setExtensionList(XDDFExtensionList list)

    - #### getFillProperties

          public XDDFFillProperties getFillProperties()

    - #### setFillProperties

          public void setFillProperties(XDDFFillProperties properties)

    - #### getLineJoinProperties

          public XDDFLineJoinProperties getLineJoinProperties()

    - #### setLineJoinProperties

          public void setLineJoinProperties(XDDFLineJoinProperties properties)

    - #### getHeadEnd

          public XDDFLineEndProperties getHeadEnd()

    - #### setHeadEnd

          public void setHeadEnd(XDDFLineEndProperties properties)

    - #### getTailEnd

          public XDDFLineEndProperties getTailEnd()

    - #### setTailEnd

          public void setTailEnd(XDDFLineEndProperties properties)

    - #### getWidth

          public java.lang.Double getWidth()

      Returns:
        the width expressed in points.

    - #### setWidth

          public void setWidth(java.lang.Double width)

      Internally converts the width to EMU units.
      Parameters:
        `width` - expressed in points.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.